Bug 480502 - Fix "Attempt to free unreferenced scalar" errors in SVK and PerlIO::via
Fix "Attempt to free unreferenced scalar" errors in SVK and PerlIO::via
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 455410
  Show dependency treegraph
 
Reported: 2009-01-17 17:17 EST by Ian Burrell
Modified: 2009-01-23 04:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 04:46:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2009-01-17 17:17:09 EST
SVK produces "Attempt to free unreferenced scalar" errors as described in #455410.  The underlying cause is a bug in PerlIO::via included in the core Perl 5.10.0 as described in the Perl bug #54934 (http://rt.perl.org/rt3/Public/Bug/Display.html?id=54934).  That bug includes a patch which fixes the problem and will presumably be included in Perl 5.10.1.  Can that patch be applied to the Perl 5.10.0 in Fedora 10 and Rawhide?
Comment 1 Marcela Mašláňová 2009-01-19 03:58:14 EST
Will be this fix also needed for F-9? The blocking bug #455410 was reported against F-9.
Comment 2 Ian Burrell 2009-01-19 13:17:38 EST
It will be needed for F-9.  Perl 5.10.0 has the bug.

Note You need to log in before you can comment on or make changes to this bug.